Package: grails.validation

## [Java] Class AbstractVetoingConstraint

- grails.validation.AbstractVetoingConstraint

- All Implemented Interfaces and Traits:
    VetoingConstraint

      @java.lang.Deprecated
      public abstract class AbstractVetoingConstraint
      extends AbstractConstraint

  A constraint capable of vetoing processing of other constraints

  deprecated:
    Use org.grails.datastore.gorm.validation.constraints.AbstractVetoingConstraint instead
  Authors:
    Sergey Nebolsin ()

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractConstraint` | `classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
    `` | `protected boolean` | `processValidateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`
    `` | `boolean` | `validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractConstraint` | `checkState, getDefaultMessage, getParameter, getPropertyName, isValid, processValidate, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipBlankValues, skipNullValues, toString, validate`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected void processValidate(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

    - #### protected boolean processValidateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)

    - #### public boolean validateWithVetoing(java.lang.Object target, java.lang.Object propertyValue, org.springframework.validation.Errors errors)